'----------------------------------------------------------------------------------------
'    Name:  Fs_Coinc.Inc
'    Type:  Tiger-BASIC(tm) Source Code (Basic Tiger File System)
' Release:  1.3
' Purpose:  BTFS - Definitions relevant for all FS layers
' 	    Co-including of all FS components
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------


#ifndef __FS_COINC_INC
#define	__FS_COINC_INC

'' Activate SD/MMC Card Support
#define SD_CARD
'' Activate Smart Media Card Support
'' #define SMC_CARD

'' Increase Stack Size
user_stack_size 8k

#ifdef SMC_CARD
#ifndef SMCARD
#define SMCARD 44
#endif
#endif

#define FALSE		0
#define TRUE		1

#define	ERROR		-1
#define	NO_ASSIGN	-1

#define BYTESIZE	1
#define WORDSIZE	2
#define LONGSIZE	4
#define REALSIZE	8

#define	MSEC_PER_SECOND		1000

'' #define FS_SECURE_INIT
#ifdef FS_SECURE_INIT
#define FS_NUM_VARS_INIT_VALUE	0
#define FS_STR_VARS_INIT_VALUE	""
#endif	'' FS_SECURE_INIT

'' optimization; the directory entries for the actually opened files will be saved
'' in the RAM and written to the media during the synchronization process
#define DIR_ENTRIES_IN_RAM

'' optimization; file allocation table will be saved in the RAM and
'' written to the media during the synchronization process
#define FAT_IN_RAM

'' optimization; the currently used data block is kept in the RAM untill
'' the writing to the other block is demanded
#ifdef SMC_CARD
#define SM_WRITE_ON_BLOCK_SWITCH
#endif

'' optimization; not tested; don't use it
'' #define INDEX_USE_DATA_POOLS

'' if this "define" is active, use the device driver settings for TEC system,
'' else set the parameters for the particular system separately
#ifdef SMC_CARD
#define SM_SETUP_DRIVER_FOR_TEC
#endif

'' use fast functions to build a log-to-phys map
#define SM_USE_FAST_LOG2PHYS_FUNCS

#include fs_conf.inc

#ifdef SD_CARD
	#include sd_card_spi_d.inc
	#include fs_fat_sdcard_d.inc
#endif

#ifdef SMC_CARD
	#include fs_smc_d.inc	
#endif

#ifdef FAT_ACTIVE
#include fs_fat_d.inc
#include fs_inx_d.inc

#ifndef IGNORE_TIME_FUNCTIONS
	#include fs_dat_d.inc
	#include fs_dat_i.inc
#endif
#endif	'' FAT_ACTIVE

#ifdef SMC_CARD
	#include fs_smc_i.inc
#endif

#include fs_hal_d.inc

#ifdef SD_CARD
	#include sd_card_spi_i.inc
	#include fs_fat_sdcard_i.inc
#endif

#ifdef SMC_CARD
	#include fs_ecc_i.inc
#endif

#ifdef FAT_ACTIVE
#include fs_fat_i.inc
#include fs_fmt_i.inc
#include fs_inx_i.inc
#endif	'' FAT_ACTIVE

#endif  '' __FS_COINC_INC

