'----------------------------------------------------------------------------------------
'    Name:  Fs_Conf.Inc
'    Type:  Tiger-BASIC(tm) Source Code (Basic Tiger File System)
' Release:  1.3
' Purpose:  BTFS - Definitions that may be important for the user configuring BTFS
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------


#ifndef __FS_CONF_INC
#define	__FS_CONF_INC

'' if you don't want to use the FAT system, comment out this define
#define	FAT_ACTIVE

'' maximal size of file allocation table
'' change the value only if the size and the formatting parameters of
'' the used storage media are definite
'' SSFDC documentation:
'' for 128Mb SmartMedia: 32 sectors * 512 bytes = 16k
'' Microsoft:
'' for 64Mb SmartMedia: 249 sectors * 512 bytes = 127488 bytes
'' for 128Mb SmartMedia: 250 sectors * 512 bytes = 128000 bytes
''
'' the following constants are not independent of each other:
'' MAX_FAT_SIZE = FAT_RAM_BUF_SIZE * FAT_RAM_BUF_NUM
'' to remind: the maximal string size is 32765 bytes
#define	MAX_FAT_SIZE		128k
#define	FAT_RAM_BUF_SIZE	4k
#define	FAT_RAM_BUF_NUM		32


'' the size of a special array with flags saying whether an appropriate area of
'' file allocation table was modified and must be actually written down to the media
#define	FAT_MODIFIED_AREAS_MAX_NUM	128


'' the number of files that can be simultaneously opened in the BTFS
#define	TOTAL_FILE_NUMBER	16


'' the maximal cluster size
'' change the value only if the size and the formatting parameters of
'' the used storage media are definite
#define	MAX_CLUSTER_SIZE		16k

'' please, do not activate it
'' #define CORRECT_RTC

#endif '' __FS_CONF_INC

