'----------------------------------------------------------------------------------------
'    Name:  Fs_Smc_D.Inc
'    Type:  Tiger-BASIC(tm) Source Code (Basic Tiger File System)
' Release:  1.3
' Purpose:  BTFS - Definitions relevant for SmartMedia subroutines
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------


#ifndef __FS_SMC_D_INC
#define __FS_SMC_D_INC

#define SM_MAKER_CODE_POS	0  ' <1> Maker-Code = manufacturer
#define SM_ID_CODE_POS	      	1  ' <1> ID-Code = Card-Id (memory size)
#define SM_ADR_BYTES_RD_WR_POS	2  ' <1> ADR-Bytes in READ / WRITE:  3 oder 4
#define SM_ADR_BYTES_BLKERA_POS	3  ' <1> ADR-Bytes in Block-ERASE: 2 oder 3
#define SM_ADR_OFFS_BLKERA_POS	4  ' <1> Byte-Offset of ADR in Block-ERASE: typical = 1
#define SM_BYTES_IN_SPARE_POS	5  ' <2> Nr. of Bytes in Spare-Field (normal: 16 Bytes)
#define SM_SPARE_ADR_MASK_POS	7  ' <2> SPARE-ADR Mask (normal: 0FH)
#define SM_BYTES_IN_PAGE_POS	9  ' <4> Nr. of DATA Bytes in a Page (without spare-field)
#define SM_PAGE_MASK_POS	13 ' <2> ADR-Mask for this Page
#define SM_PAGE_IMASK_POS       15 ' <2> revers ADR-Mask for this Page, zB:  1111 1110 0000 0000
#define SM_PAGES_IN_BLOCK_POS   17 ' <2> Nr. of Pages in a Block
#define SM_BYTES_IN_BLOCK_POS   19 ' <4> Nr. of DATA-Bytes in a Block
#define SM_BLOCK_ADR_INCS_POS   23 ' <4> Bloc-ADR Increment
#define SM_BLOCK_MASK_POS       27 ' <2> Block-ADR Mask
#define SM_BLOCK_IMASK_POS      29 ' <2> Block-ADR revers Mask
#define SM_BLOCK_ADR_SRL_POS    31 ' <1> Block-ADR Shifts-Right:  ADR --> to Block-Number (2**14 = 16384 = 16KByte)
#define SM_NO_OF_BLOCKS_POS     32 ' <2> Total Number of "Blocks" in this SmartMedia Card
#define SM_ADR_HIGH_BLOCK_POS   34 ' <4> Base ADR of highest Block
#define SM_ADR_END_POS	     	38 ' <4> End-ADR = 1.ADR behind the last Byte !!
#define SM_DATA_SET_LEN_POS     42 ' length of the ID-Data field

#define SM_MAKER_CODE_SIZE		1  ' <1> Maker-Code = manufacturer
#define SM_ID_CODE_SIZE	      		1  ' <1> ID-Code = Card-Id (memory size)
#define SM_ADR_BYTES_RD_WR_SIZE		1  ' <1> ADR-Bytes in READ / WRITE:  3 oder 4
#define SM_ADR_BYTES_BLKERA_SIZE	1  ' <1> ADR-Bytes in Block-ERASE: 2 oder 3
#define SM_ADR_OFFS_BLKERA_SIZE		1  ' <1> Byte-Offset of ADR in Block-ERASE: typical = 1
#define SM_BYTES_IN_SPARE_SIZE		2  ' <2> Nr. of Bytes in Spare-Field (normal: 16 Bytes)
#define SM_SPARE_ADR_MASK_SIZE		2  ' <2> SPARE-ADR Mask (normal: 0FH)
#define SM_BYTES_IN_PAGE_SIZE		4  ' <4> Nr. of DATA Bytes in a Page (without spare-field)
#define SM_PAGE_MASK_SIZE		2  ' <2> ADR-Mask for this Page
#define SM_PAGE_IMASK_SIZE       	2  ' <2> revers ADR-Mask for this Page, zB:  1111 1110 0000 0000
#define SM_PAGES_IN_BLOCK_SIZE   	2  ' <2> Nr. of Pages in a Block
#define SM_BYTES_IN_BLOCK_SIZE   	4  ' <4> Nr. of DATA-Bytes in a Block
#define SM_BLOCK_ADR_INCS_SIZE   	4  ' <4> Bloc-ADR Increment
#define SM_BLOCK_MASK_SIZE       	2  ' <2> Block-ADR Mask
#define SM_BLOCK_IMASK_SIZE      	2  ' <2> Block-ADR revers Mask
#define SM_BLOCK_ADR_SRL_SIZE    	1  ' <1> Block-ADR Shifts-Right:  ADR --> to Block-Number (2**14 = 16384 = 16KByte)
#define SM_NO_OF_BLOCKS_SIZE     	2  ' <2> Total Number of "Blocks" in this SmartMedia Card
#define SM_ADR_HIGH_BLOCK_SIZE   	4  ' <4> Base ADR of highest Block
#define SM_ADR_END_SIZE	     		4  ' <4> End-ADR = 1.ADR behind the last Byte !!


#define SM_MAX_PAGE_SIZE		512
#define SM_MAX_PAGE_WITH_SPARE_SIZE	528
'' the maximal block size inclusive the spare field
#define SM_MAX_BLOCK_SIZE		17k

#define SM_FIND_BUFFER_SIZE		SM_MAX_PAGE_SIZE

#define SM_SPARE_DATA_OFFS		4
#define SM_SPARE_STAT_OFFS		5
#define SM_SPARE_ADDR1_OFFS		6
#define SM_SPARE_ADDR2_OFFS		11
#define SM_SPARE_ECC10_OFFS		13
#define SM_SPARE_ECC11_OFFS		14
#define SM_SPARE_ECC12_OFFS		15
#define SM_SPARE_ECC20_OFFS		8
#define SM_SPARE_ECC21_OFFS		9
#define SM_SPARE_ECC22_OFFS		10
#define SM_SPARE_MAX_SIZE		16

#define SM_CIS_ID1_OFFS			0
#define SM_CIS_ID2_OFFS			256
#define SM_CIS_ID_LEN			10
#define SM_CIS_ID_PATTERN		"01 03 d9 01 ff 18 02 df 01 20"%

#define	SM_VALID_BLOCK_MARK		0ffh
#define	SM_VALID_DATA_MARK		0ffh
#define	SM_VALID_ADDR_MASK		0f000h
#define	SM_VALID_ADDR_ID		01000h
#define	SM_ADDR_CONTENTS_MASK		0fffh

'' Error code for "vSMWriteString" function
#define	SM_WR_ERR_ADDR_NOT_ASSIGNED	1
#define	SM_WR_ERR_BLOCK_NOT_ERASED	2
#define	SM_RD_ERR_ADDR_NOT_ASSIGNED	3

'' Control functions of smart media card driver
#define SMCARD_FUNC_MOUNT		2
#define SMCARD_FUNC_RESET		4
#define SMCARD_FUNC_STATUS		5
#define SMCARD_FUNC_INFO		6
#define SMCARD_FUNC_INV_BLOCK_TAB	7
#define SMCARD_FUNC_ERASE		17
#define SMCARD_FUNC_WRITE		18
#define SMCARD_FUNC_WRITE_ABS		19
#define SMCARD_FUNC_READ_ABS		19
#define SMCARD_FUNC_READ_L2P_TABLE	22
#define SMCARD_FUNC_READ_P2L_TABLE	22

#define SMCARD_ERASE_BUSY_FLAG		40h

#define SMCARD_INFO_BLOCK_SIZE		43	'' 42

#define SM_WRITE_BAD_HANDLE		-1

'' 8 zones * 1k blocks = 128Mb maximal
#define	SM_MAX_ZONE_NUM			8
#define	SM_MAX_PHYS_BLOCK_NUM_IN_ZONE	1k
#define	SM_MAX_LOG_BLOCK_NUM_IN_ZONE	1000

'' 8k blocks = 128Mb
#define MAX_BLOCKS_NUM			8k

'' 1 bit/block; max length is 8192 Blocks (bis 128 MByte)
#define SM_INV_BLOCKS_TAB_SIZE		1k

#define	SM_ERASED_BYTE			0ffh
#define	SM_ERASED_BYTE_STR		"ff00"%
#define	SM_ERASED_BYTE_ROOT_STR		"00"%

'' constants for the sub "lSMConvLogToPhysAddr"
#define	SM_L2P_READ_ONLY		0
#define	SM_L2P_CREATE			1

#define	SM_LOG_TO_PHYS_TABLE_MAX_SIZE	16K
#define	SM_PHYS_TO_LOG_TABLE_MAX_SIZE	16K
#define	SM_CONV_TAB_ENTRY_SIZE		2
#define	SM_UNASSIGNED_BLOCK_MASK	0ffffh
#define	SM_UNASSIGNED_BLOCK_MASK_STR	"<0ffh><0ffh>"

#endif  '' __FS_SMC_D_INC

