'----------------------------------------------------------------------------------------
'    Name:  Sd_Card_Pins_D.Inc
'    Type:  Tiger-BASIC(tm) Source Code (SD Card Access)
' Release:  1.3
' Purpose:  SD Card Access - Pin definitions for different configurations of SD Hardware
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------


#ifndef __SD_CARD_PINS_D
#define __SD_CARD_PINS_D


' ******************************************************************************** '
'                      Pin Description for SD Card Adapter 1                       '
' ******************************************************************************** '
#ifdef SD_ADAPTER1
'' SPI configuration
#define SD_SPI_PORT    				8
'' MiSo (Tiger - In, Card - Out)
#define SD_SPI_DATA_IN_PIN			2
'' MoSi (Tiger - Out, Card - In)
#define SD_SPI_DATA_OUT_PIN			1
'' Clock
#define SD_SPI_CLOCK_PIN			0

'' Features controlled over X-Port
'' X-Port Address for Control Lines
#define SD_XP_ADDRESS  				00F8h
'' Offset to X-Port Address for Power Line (if not necessary, must be set to zero)
#define SD_XP_POWER_OFFSET			1

#ifdef SD_XP_ADDRESS
'' Bit of X-Port for Card Detect Line
#define SD_XP_SDCARD_DETECT			2
'' Bit of X-Port for Write Protect Line
#define SD_XP_WRITE_PROTECT			4
'' Bit of X-Port for Power Line
#define SD_XP_POWER				6
'' Bit of X-Port for Error Indication Line (unused in this configuration)
'' #define SD_XP_ERROR_INDICATOR 		1
'' Bit of X-Port for Chip Select Line (unused in this configuration)
'' #define SD_XP_CHIP_SELECT			0
#endif  '' SD_XP_ADDRESS

'' Features controlled over Tiger-Pins
'' Port Address for Control Lines
#define SD_I_PORT	    		       	8
#ifdef SD_I_PORT
'' Pin for Card Detect Line (unused in this configuration)
'' #define SD_I_SDCARD_DETECT    		2
'' Pin for Write Protect Line (unused in this configuration)
'' #define SD_I_WRITE_PROTECT    		4
'' Pin for Power Line (unused in this configuration)
'' #define SD_I_POWER            		7
'' Pin for Error Indication Line
#define SD_I_ERROR_INDICATOR			3
'' Pin for Chip Select Line
#define SD_I_CHIP_SELECT               		6
#endif  '' SD_I_PORT

#endif  '' SD_ADAPTER1


' ******************************************************************************** '
'                      Pin Description for SD Card Adapter 2                       '
' ******************************************************************************** '
#ifdef SD_ADAPTER2
'' SPI configuration
#define SD_SPI_PORT				7
'' MiSo (Tiger - In, Card - Out)
#define SD_SPI_DATA_IN_PIN			5
'' MoSi (Tiger - Out, Card - In)
#define SD_SPI_DATA_OUT_PIN			6
'' Clock
#define SD_SPI_CLOCK_PIN			4

'' Features controlled over X-Port
'' X-Port Address for Control Lines
#define SD_XP_ADDRESS				00F8h
'' Offset to X-Port Address for Power Line (if not necessary, must be set to zero)
#define SD_XP_POWER_OFFSET			0

#ifdef SD_XP_ADDRESS
'' Bit of X-Port for Card Detect Line
#define SD_XP_SDCARD_DETECT    			7
'' Bit of X-Port for Write Protect Line
#define SD_XP_WRITE_PROTECT    			6
'' Bit of X-Port for Power Line
#define SD_XP_POWER            			2
'' Bit of X-Port for Error Indication Line
#define SD_XP_ERROR_INDICATOR	 		1
'' Bit of X-Port for Chip Select Line
#define SD_XP_CHIP_SELECT			0
#endif  '' SD_XP_ADDRESS

'' Features controlled over Tiger-Pins
'' Port Address for Control Lines
'' (UNUSED in this configuration)
'' #define SD_I_PORT										8
#ifdef SD_I_PORT
'' Pin for Card Detect Line
#define SD_I_SDCARD_DETECT    			2
'' Pin for Write Protect Line
#define SD_I_WRITE_PROTECT    			4
'' Pin for Power Line
#define SD_I_POWER            			7
'' Pin for Error Indication Line
#define SD_I_ERROR_INDICATOR	   		3
'' Pin for Chip Select Line
#define SD_I_CHIP_SELECT               		6
#endif  '' SD_I_PORT

#endif  '' SD_ADAPTER2


' ******************************************************************************** '
'                    Pin Description for intern Test Equipment                     '
' ******************************************************************************** '
#ifdef SD_TEST_INTERN
'' SPI configuration
#define SD_SPI_PORT	    			8
'' MiSo (Tiger - In, Card - Out)
#define SD_SPI_DATA_IN_PIN			1
'' MoSi (Tiger - Out, Card - In)
#define SD_SPI_DATA_OUT_PIN			2
'' Clock
#define SD_SPI_CLOCK_PIN			3

'' Features controlled over X-Port
'' X-Port Address for Control Lines
'' (UNUSED in this configuration)
'' #define SD_XP_ADDRESS
'' Offset to X-Port Address for Power Line (if not necessary, must be set to zero)
#define SD_XP_POWER_OFFSET	   		0
#ifdef SD_XP_ADDRESS
'' Bit of X-Port for Card Detect Line
#define SD_XP_SDCARD_DETECT			2
'' Bit of X-Port for Write Protect Line
#define SD_XP_WRITE_PROTECT			4
'' Bit of X-Port for Power Line
#define SD_XP_POWER				6
'' Bit of X-Port for Error Indication Line
#define SD_XP_ERROR_INDICATOR 			1
'' Bit of X-Port for Chip Select Line
#define SD_XP_CHIP_SELECT			0
#endif  '' SD_XP_ADDRESS

'' Features controlled over Tiger-Pins
'' Port Address for Control Lines
#define SD_I_PORT	  			8
#ifdef SD_I_PORT
'' Pin for Card Detect Line (unused in this configuration)
'' #define SD_I_SDCARD_DETECT    			2
'' Pin for Write Protect Line (unused in this configuration)
'' #define SD_I_WRITE_PROTECT    			4
'' Pin for Error Indication Line (unused in this configuration)
'' #define SD_I_ERROR_INDICATOR	   		3
'' Pin for Power Line
#define SD_I_POWER            			0
'' Pin for Chip Select Line
#define SD_I_CHIP_SELECT               		4
#endif  '' SD_I_PORT

#endif  '' SD_TEST_INTERN


' ******************************************************************************** '
'                      Pin Description for SD Card in B2500                       '
' ******************************************************************************** '
#ifdef SD_B2500
'' SPI configuration
#define SD_SPI_PORT    				3
'' MiSo (Tiger - In, Card - Out)
#define SD_SPI_DATA_IN_PIN			4
'' MoSi (Tiger - Out, Card - In)
#define SD_SPI_DATA_OUT_PIN			5
'' Clock
#define SD_SPI_CLOCK_PIN			3

'' Features controlled over Tiger-Pins
'' Port Address for Control Lines
#define SD_I_PORT	    		       	3
#ifdef SD_I_PORT
'' Pin for Card Detect Line (unused in this configuration)
'' #define SD_I_SDCARD_DETECT    		2
'' Pin for Write Protect Line (unused in this configuration)
'' #define SD_I_WRITE_PROTECT    		4
'' Pin for Power Line (unused in this configuration)
#define SD_I_POWER            		7
'' Pin for Error Indication Line
''#define SD_I_ERROR_INDICATOR			3
'' Pin for Chip Select Line
#define SD_I_CHIP_SELECT               		6

#endif  '' SD_I_PORT

#endif  '' SD_B2500


' ******************************************************************************** '
'                        Pin Description for Ntec                               '
' ******************************************************************************** '

#ifdef SD_NTEC
'' SPI configuration
#define SD_SPI_PORT    				8
'' MiSo (Tiger - In, Card - Out)
#define SD_SPI_DATA_IN_PIN			2
'' MoSi (Tiger - Out, Card - In)
#define SD_SPI_DATA_OUT_PIN			1
'' Clock
#define SD_SPI_CLOCK_PIN			0

'' Features controlled over X-Port
'' X-Port Address for Control Lines
'' #define SD_XP_ADDRESS  				00F8h
'' Offset to X-Port Address for Power Line (if not necessary, must be set to zero)
'' #define SD_XP_POWER_OFFSET			1

#ifdef SD_XP_ADDRESS
'' Bit of X-Port for Card Detect Line
#define SD_XP_SDCARD_DETECT			2
'' Bit of X-Port for Write Protect Line
#define SD_XP_WRITE_PROTECT			4
'' Bit of X-Port for Power Line
#define SD_XP_POWER				6
'' Bit of X-Port for Error Indication Line (unused in this configuration)
'' #define SD_XP_ERROR_INDICATOR 		1
'' Bit of X-Port for Chip Select Line (unused in this configuration)
'' #define SD_XP_CHIP_SELECT			0
#endif  '' SD_XP_ADDRESS

'' Features controlled over Tiger-Pins
'' Port Address for Control Lines
#define SD_I_PORT	    		       	8
#ifdef SD_I_PORT
'' Pin for Card Detect Line (unused in this configuration)
'' #define SD_I_SDCARD_DETECT    		5
'' Pin for Write Protect Line (unused in this configuration)
'' #define SD_I_WRITE_PROTECT    		4
'' Pin for Power Line (unused in this configuration)
#define SD_I_POWER 	           		3
'' Pin for Error Indication Line
'' #define SD_I_ERROR_INDICATOR			3
'' Pin for Chip Select Line
#define SD_I_CHIP_SELECT               		6
#endif  '' SD_I_PORT

#endif  '' SD_NTEC

#endif	'' __SD_CARD_PINS_D

